Bug 1739912 - mirage fails to install in Fedora rawhide
Summary: mirage fails to install in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mirage
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2FTBI F31FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:29 UTC by Miro Hrončok
Modified: 2019-08-25 11:02 UTC (History)
1 user (show)

Fixed In Version: mirage-0.9.5.2-19.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-25 11:02:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:29:44 UTC
mirage-0.9.5.2-18.fc31.x86_64 fails to install in Fedora rawhide:

  nothing provides gnome-python2-gconf needed by mirage-0.9.5.2-18.fc31.x86_64

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Ben Cotton 2019-08-13 17:09:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Miro Hrončok 2019-08-19 21:04:02 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 3 Miro Hrončok 2019-08-21 15:47:13 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 4 Mamoru TASAKA 2019-08-25 11:02:13 UTC
Killed gnome-python2-gconf dep for now.


Note You need to log in before you can comment on or make changes to this bug.